%global _name decorator
%global _description The goal of the decorator module is to make it easy to define signature-preserving \
function decorators and decorator factories. It also includes an implementation of multiple dispatch and \
other niceties (please check the docs).  

Name:           python-%{_name}
Version:        5.0.9
Release:        2
Summary:        Simplify the signature-preserving function decorators and decorator factories
License:        BSD
URL:		https://github.com/micheles/decorator
Source0:	https://github.com/micheles/decorator/archive/%{version}.tar.gz#/%{_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{_description}

%package -n python3-decorator
Summary:       %{summary} in python3
BuildRequires: python3-devel python3-setuptools
%{?python_provide:%python_provide python3-decorator}

%description -n python3-decorator
%{_description}

%package_help

%prep
%autosetup -n %{_name}-%{version} -p1


%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/*info/
%{python3_sitelib}/*.py

%files help
%doc CHANGES.md

%changelog
* Tue Oct 25 2022 zhangruifang <zhangruifang1@h-partners.com> - 5.0.9-2
- Rebuild for next release

* Sat Nov 13 2021 liudabo<liudabo1@huawei.com> - 5.0.9-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 5.0.9

* Fri Oct 23 2020 tianwei<tianwei12@huawei.com> - 4.4.2-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete python2

* Thu Jul 23 2020 dingyue<dingyue5@huawei.com> - 4.4.2-1
- Type:enhancement
- ID:NA
- SUG:restart
- DESC:update source code

* Tue Dec 31 2019 Yeqing Peng<pengyeqing@huawei.com> - 4.3.0-3
- Type:enhancement
- ID:NA
- SUG:restart
- DESC:update source code

* Tue Sep 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.3.0-2
- Package init
